net.minecraft.client.gui

## Class GuiIngame

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiIngame

- Direct Known Subclasses:
    GuiIngameForge

      public class GuiIngame
      extends Gui

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `prevVignetteBrightness` Previous frame vignette brightness (slowly changes by 1% each frame)

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiIngame(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_110326_a(String par1Str, boolean par2)`
    `GuiNewChat` | `getChatGUI()` returns a pointer to the persistant Chat GUI, containing all previous chat messages and such
    `int` | `getUpdateCounter()`
    `void` | `renderGameOverlay(float par1, boolean par2, int par3, int par4)` Render the ingame overlay with quick icon bar, ...
    `void` | `setRecordPlayingMessage(String par1Str)`
    `void` | `updateTick()` The update tick for the ingame UI

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prevVignetteBrightness

          public float prevVignetteBrightness

      Previous frame vignette brightness (slowly changes by 1% each frame)

  - ### Constructor Detail

    - #### GuiIngame

          public GuiIngame(Minecraft par1Minecraft)

  - ### Method Detail

    - #### renderGameOverlay

          public void renderGameOverlay(float par1,
                               boolean par2,
                               int par3,
                               int par4)

      Render the ingame overlay with quick icon bar, ...

    - #### updateTick

          public void updateTick()

      The update tick for the ingame UI

    - #### setRecordPlayingMessage

          public void setRecordPlayingMessage(String par1Str)

    - #### func_110326_a

          public void func_110326_a(String par1Str,
                           boolean par2)

    - #### getChatGUI

          public GuiNewChat getChatGUI()

      returns a pointer to the persistant Chat GUI, containing all previous chat messages and such

    - #### getUpdateCounter

          public int getUpdateCounter()